Package com.tietoenator.trip.jxp.facet

# Class TdbKvpFacet

java.lang.Object
com.tietoenator.trip.jxp.facet.TdbFacet
com.tietoenator.trip.jxp.facet.TdbFieldTermFacet
com.tietoenator.trip.jxp.facet.TdbKvpFacet

All Implemented Interfaces:
  `Iterable<TdbFacetValue>`

public class TdbKvpFacet extends TdbFieldTermFacet
A facet based on a key/value pair (KVP) display order, using the values from one field as facet names, tupled with another field that contains the facet values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbKvpFacet(String namefield, String valuefield, String facetName)`
  Create a facet based on a key/value pair (KVP) display order, using the values from one field as facet names, tupled with another field that contains the facet values.
  `TdbKvpFacet(String namefield, String valuefield, String facetName, String mask)`
  Create a facet based on a key/value pair (KVP) display order, using the values from one field as facet names, tupled with another field that contains the facet values.

- ## Method Summary

  ### Methods inherited from class com.tietoenator.trip.jxp.facet.TdbFieldTermFacet

  `clear, close, getFetchSize, getMask, getValue, setFetchSize, setMask`

  ### Methods inherited from class com.tietoenator.trip.jxp.facet.TdbFacet

  `getBaselineKey, getBaselineSize, getDatabase, getDefaultTimeout, getFetchFrom, getFetchTo, getLowerFrequencyLimit, getName, getSearchSet, getSortOrder, getTimeout, getUpdateValueCount, getUpperFrequencyLimit, getValueCount, isBaselineAtEnd, isOpenExisting, isRegisterBaseline, isResetBaseline, isUseBaseline, iterator, setBaselineAtEnd, setBaselineKey, setBaselineSize, setDatabase, setDefaultTimeout, setFetchFrom, setFetchTo, setFrequencyLimits, setOpenExisting, setRegisterBaseline, setResetBaseline, setSearchSet, setSortOrder, setTimeout, setUseBaseline`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### TdbKvpFacet

    public TdbKvpFacet(String namefield, String valuefield, String facetName) throws TdbException
    Create a facet based on a key/value pair (KVP) display order, using the values from one field as facet names, tupled with another field that contains the facet values.
    Parameters:
      `namefield` - Name of (phrase) field where facet names are stored
      `valuefield` - Name of (phrase) field where facet values are stored
      `facetName` - Facet name (value from namefield)
    Throws:
      `TdbException` - If invalid arguments were supplied.

  - ### TdbKvpFacet

    public TdbKvpFacet(String namefield, String valuefield, String facetName, String mask) throws TdbException
    Create a facet based on a key/value pair (KVP) display order, using the values from one field as facet names, tupled with another field that contains the facet values.
    Parameters:
      `namefield` - Name of (phrase) field where facet names are stored
      `valuefield` - Name of (phrase) field where facet values are stored
      `facetName` - Facet name (value from namefield)
      `mask` - Comparison mask to select values from the field
    Throws:
      `TdbException` - If invalid arguments were supplied.